#include "GameScene.h"





et::GameScene::GameScene(void)
: mof::AbstractScene()
{
	m_pCapturer = NULL;
	m_pGameData = NULL;
	m_pInputReceiver = NULL;
	m_pMeshManager = NULL;
	m_pTextureManager = NULL;
	m_pDataResourceManager = NULL;
}

et::GameScene::~GameScene(void)
{
}



void et::GameScene::setMeshManager(mof::MeshManager* pMeshManager){
	m_pMeshManager = pMeshManager;

}

void et::GameScene::setTextureManager(mof::TextureManager* pTextureManager){
	m_pTextureManager = pTextureManager;

}

void et::GameScene::setDataResourceManager(mof::DataResourceManager* pDataResourceManager){
	m_pDataResourceManager = pDataResourceManager;
}

void et::GameScene::setCapturer(mof::Capturer* pCapturer){
	m_pCapturer = pCapturer;
}
	

void et::GameScene::setGameData(GameData* pGameData){
	m_pGameData = pGameData;
}

		
void et::GameScene::setInputReceiver(mof::InputReceiver* pInputReceiver){
	m_pInputReceiver = pInputReceiver;

}

